# Enum StorageType

java.lang.Object
java.lang.Enum<StorageType>
uk.ac.starlink.ttools.plot2.data.StorageType

All Implemented Interfaces:
  `Serializable, Comparable<StorageType>, java.lang.constant.Constable`

public enum StorageType extends Enum<StorageType>
Enumerates the possibilities for internal storage of coordinate data for presentation to the plotting classes. In particular defines the type of the object returned by `Coord.inputStorage(ValueInfo[], DomainMapper[])` return functions.

At time of writing, this data is stored in memory, but in principle they could be cached in some disk-based file. For that reason, they should as far as possible be restricted to objects that are easily serialized to a byte array (primitives, ideally scalars or fixed-length arrays).

Since:
  4 Feb 2013
Author:
  Mark Taylor
See Also:
  - `CachedColumnFactory`
  - `Coord`

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOOLEAN`
Boolean type.
`BYTE`
Byte type.
`DOUBLE`
Double precision type.
`DOUBLE_ARRAY`
Double precision variable length array type.
`DOUBLE3`
Double precision triple type.
`FLOAT`
Single precision type.
`FLOAT_ARRAY`
Single precision variable length array type.
`FLOAT3`
Single precision triple type.
`INT`
Integer type.
`INT3`
Integer triple type.
`LONG`
Long integer type.
`SHORT`
Short integer type.
`STRING`
String type.

## Method Summary

Modifier and Type
Method
Description
`static StorageType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StorageType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BOOLEAN

public static final StorageType BOOLEAN
Boolean type. Output type is `Boolean`.

### DOUBLE

public static final StorageType DOUBLE
Double precision type. Output type is `Double`.

### FLOAT

public static final StorageType FLOAT
Single precision type. Output type is `Float`.

### LONG

public static final StorageType LONG
Long integer type. Output type is `Long`.

### INT

public static final StorageType INT
Integer type. Output type is `Integer`.

### SHORT

public static final StorageType SHORT
Short integer type. Output type is `Short`.

### BYTE

public static final StorageType BYTE
Byte type. Output type is `Byte`.

### STRING

public static final StorageType STRING
String type. Output type is `String`.

### INT3

public static final StorageType INT3
Integer triple type. Output type is `int[3]`.

### DOUBLE3

public static final StorageType DOUBLE3
Double precision triple type. Output type is `double[3]`.

### FLOAT3

public static final StorageType FLOAT3
Single precision triple type. Output type is `float[3]`.

### DOUBLE_ARRAY

public static final StorageType DOUBLE_ARRAY
Double precision variable length array type. Output type is `double[]`.

### FLOAT_ARRAY

public static final StorageType FLOAT_ARRAY
Single precision variable length array type. Output type is `float[]`.

## Method Details

### values

public static StorageType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static StorageType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null